- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::EqMultiplierCalculator Class Reference

Base Class for objects that compute estimates for the equality constraint multipliers y_c and y_d. More...

`#include <IpEqMultCalculator.hpp>`

Inheritance diagram for Ipopt::EqMultiplierCalculator:

[legend]
Collaboration diagram for Ipopt::EqMultiplierCalculator:

[legend]
List of all members.

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)=0
| overloaded from AlgorithmStrategyObject
virtual bool | CalculateMultipliers (Vector &y_c, Vector &y_d)=0
| This method computes the estimates for y_c and y_d at the current point.
Constructors/Destructors
| EqMultiplierCalculator ()
| Default Constructor.
virtual | ~EqMultiplierCalculator ()
| Default destructor.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| EqMultiplierCalculator (const EqMultiplierCalculator &)
| Copy Constructor.
void | operator= (const EqMultiplierCalculator &)
| Overloaded Equals Operator.

## Detailed Description

Base Class for objects that compute estimates for the equality constraint multipliers y_c and y_d.

For example, this is the base class for objects for computing least square multipliers or coordinate multipliers.

Definition at line 21 of file IpEqMultCalculator.hpp.

## Constructor & Destructor Documentation

Ipopt::EqMultiplierCalculator::EqMultiplierCalculator | ( |  | ) | `[inline]`

Default Constructor.

Definition at line 27 of file IpEqMultCalculator.hpp.

virtual Ipopt::EqMultiplierCalculator::~EqMultiplierCalculator | ( |  | ) | `[inline, virtual]`

Default destructor.

Definition at line 30 of file IpEqMultCalculator.hpp.

Ipopt::EqMultiplierCalculator::EqMultiplierCalculator | ( | const EqMultiplierCalculator & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::EqMultiplierCalculator::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[pure virtual]`

overloaded from AlgorithmStrategyObject

Implements Ipopt::AlgorithmStrategyObject.

Implemented in Ipopt::LeastSquareMultipliers.

virtual bool Ipopt::EqMultiplierCalculator::CalculateMultipliers | ( | Vector & | y_c,
|  | Vector & | y_d |
| ) |  |  | `[pure virtual]`

This method computes the estimates for y_c and y_d at the current point.

If the estimates cannot be computed (e.g. some linear system is singular), the return value of this method is false.

Implemented in Ipopt::LeastSquareMultipliers.

void Ipopt::EqMultiplierCalculator::operator= | ( | const EqMultiplierCalculator & |  | ) | `[private]`

Overloaded Equals Operator.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/src/Algorithm/IpEqMultCalculator.hpp